{
    "format_version": "1.21.50",
    "minecraft:item": {
        "description": {
            "identifier": "oct_db:insulated_iron_chestplate",
            "menu_category": {
                "category": "equipment",
                "group": "itemGroup.name.chestplate"
            }
        },
        "components": {
            "minecraft:max_stack_size": 1,
            "minecraft:stacked_by_data": true,
            "minecraft:tags": {
                "tags": [
                    "oct_db:insulated_armor",
                    "minecraft:iron_tier",
                    "minecraft:is_armor",
                    "minecraft:trimmable_armors"
                ]
            },
            "minecraft:display_name": {
                "value": "item.oct_db:insulated_iron_chestplate.name"
            },
            "minecraft:icon": {
                "textures": {
                    "default": "oct_db:insulated_iron_chestplate"
                }
            },
            "minecraft:durability": {
                "max_durability": 240
            },
            "minecraft:repairable": {
                "repair_items": [
                    {
                        "items": [
                            "oct_db:insulated_iron_chestplate"
                        ],
                        "repair_amount": "math.min(q.remaining_durability + c.other->q.remaining_durability + math.floor(q.max_durability /20), c.other->q.max_durability)"
                    },
                    {
                        "items": [
                            "minecraft:iron_ingot"
                        ],
                        "repair_amount": "math.min(q.max_durability*0.25, q.max_durability)"
                    }
                ]
            },
            "minecraft:wearable": {
                "protection": 6,
                "slot": "slot.armor.chest"
            },
            "minecraft:enchantable": {
                "slot": "armor_torso",
                "value": 9
            }
        }
    }
}